## Class TTableStyle

Description

TTableStyle class.

TTableStyle represents the CSS style specific for HTML table.

- since: 3.0
- version: $Id: TStyle.php 1653 2007-01-25 05:49:22Z wei $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TStyle.php (line 442)

    TComponent
       |
       --TStyle
          |
          --TTableStyle

Method Summary
void addAttributesToRender (THtmlWriter $writer)
void copyFrom (TStyle $style)
string getBackImageUrl ()
boolean getBorderCollapse ()
integer getCellPadding ()
integer getCellSpacing ()
TTableGridLines getGridLines ()
THorizontalAlign getHorizontalAlign ()
void mergeWith (TStyle $style)
void reset ()
void setBackImageUrl (string $value)
void setBorderCollapse (boolean $value)
void setCellPadding (integer $value)
void setCellSpacing (integer $value)
void setGridLines (TTableGridLines $value)
void setHorizontalAlign (THorizontalAlign $value)
Methods
addAttributesToRender (line 542)

Adds attributes related to CSS styles to renderer.

This method overrides the parent implementation.

- access: public

void addAttributesToRender (THtmlWriter $writer)

- THtmlWriter $writer: the writer used for the rendering purpose

Redefinition of:

TStyle::addAttributesToRender()
  Adds attributes related to CSS styles to renderer.

copyFrom (line 490)

Copies the fields in a new style to this style.

If a style field is set in the new style, the corresponding field in this style will be overwritten.

- access: public

void copyFrom (TStyle $style)

- TStyle $style: the new style

Redefinition of:

TStyle::copyFrom()
  Copies the fields in a new style to this style.

getBackImageUrl (line 572)

- return: the URL of the background image for the table
- access: public

string getBackImageUrl ()
getBorderCollapse (line 660)

- return: whether the table borders should be collapsed. Defaults to false.
- access: public

boolean getBorderCollapse ()
getCellPadding (line 606)

- return: cellpadding of the table. Defaults to -1, meaning not set.
- access: public

integer getCellPadding ()
getCellSpacing (line 624)

- return: cellspacing of the table. Defaults to -1, meaning not set.
- access: public

integer getCellSpacing ()
getGridLines (line 642)

- return: the grid line setting of the table. Defaults to TTableGridLines::None.
- access: public

TTableGridLines getGridLines ()
getHorizontalAlign (line 589)

- return: the horizontal alignment of the contents within the table, defaults to THorizontalAlign::NotSet.
- access: public

THorizontalAlign getHorizontalAlign ()
mergeWith (line 516)

Merges the style with a new one.

If a style field is not set in this style, it will be overwritten by the new one.

- access: public

void mergeWith (TStyle $style)

- TStyle $style: the new style

Redefinition of:

TStyle::mergeWith()
  Merges the style with a new one.

reset (line 474)

Sets the style attributes to default values.

This method overrides the parent implementation by resetting additional TTableStyle specific attributes.

- access: public

void reset ()

Redefinition of:

TStyle::reset()
  Resets the style to the original empty state.

setBackImageUrl (line 581)

Sets the URL of the background image for the table

- access: public

void setBackImageUrl (string $value)

- string $value: the URL

setBorderCollapse (line 668)

- access: public

void setBorderCollapse (boolean $value)

- boolean $value: whether the table borders should be collapsed.

setCellPadding (line 615)

- access: public
- throws: TInvalidDataValueException if the value is less than -1.

void setCellPadding (integer $value)

- integer $value: cellpadding of the table. A value equal to -1 clears up the setting.

setCellSpacing (line 633)

- access: public
- throws: TInvalidDataValueException if the value is less than -1.

void setCellSpacing (integer $value)

- integer $value: cellspacing of the table. A value equal to -1 clears up the setting.

setGridLines (line 651)

Sets the grid line style of the table.

- access: public

void setGridLines (TTableGridLines $value)

- TTableGridLines $value: the grid line setting of the table

setHorizontalAlign (line 598)

Sets the horizontal alignment of the contents within the table.

- access: public

void setHorizontalAlign (THorizontalAlign $value)

- THorizontalAlign $value: the horizontal alignment

#### Inherited Methods

Inherited From TStyle

> TStyle::__construct()
> TStyle::addAttributesToRender()
> TStyle::clearStyleField()
> TStyle::copyFrom()
> TStyle::getBackColor()
> TStyle::getBorderColor()
> TStyle::getBorderStyle()
> TStyle::getBorderWidth()
> TStyle::getCssClass()
> TStyle::getCustomStyle()
> TStyle::getDisplayStyle()
> TStyle::getFont()
> TStyle::getForeColor()
> TStyle::getHeight()
> TStyle::getStyleField()
> TStyle::getStyleFields()
> TStyle::getWidth()
> TStyle::hasCssClass()
> TStyle::hasFont()
> TStyle::hasStyleField()
> TStyle::mergeWith()
> TStyle::reset()
> TStyle::setBackColor()
> TStyle::setBorderColor()
> TStyle::setBorderStyle()
> TStyle::setBorderWidth()
> TStyle::setCssClass()
> TStyle::setCustomStyle()
> TStyle::setDisplayStyle()
> TStyle::setForeColor()
> TStyle::setHeight()
> TStyle::setStyleField()
> TStyle::setWidth()
> TStyle::__clone()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:22 -0400 by phpDocumentor 1.3.0RC4